## openvpn 2.7.0

=== sample/sample-plugins/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# sample/sample-plugins/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
#  OpenVPN -- An application to securely tunnel IP networks
#             over a single UDP port, with support for SSL/TLS-based
#             session authentication and key exchange,
#             packet encryption, packet authentication, and
#             packet compression.
#
#  Copyright (C) 2002-2026 OpenVPN Inc <sales@openvpn.net>
#

#  SPDX-License-Identifier: GPL-2.0-only
#
#  Copyright (C) 2020-2026 OpenVPN Inc <sales@openvpn.net>
#

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/openvpn
pkgincludedir = $(includedir)/openvpn
pkglibdir = $(libdir)/openvpn
pkglibexecdir = $(libexecdir)/openvpn
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = sample/sample-plugins
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_socklen_t.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/pkg.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/compat.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/include/openvpn-plugin.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.plugins \
	README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AS = as
AUTOCONF = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' autoconf
AUTOHEADER = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' autoheader
AUTOMAKE = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -std=c11 -Wno-stringop-truncation -Wstrict-prototypes -Wold-style-definition -Wconversion -Wno-sign-conversion -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wimplicit-fallthrough=2
CMOCKA_CFLAGS = 
CMOCKA_LIBS = -lcmocka 
CPP = gcc -E
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DL_LIBS = -ldl
DNS_UPDOWN_TYPE = systemd
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_UNITTESTS = 
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GIT = git
GREP = /usr/bin/grep
IFCONFIG = /usr/sbin/ifconfig
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
IPROUTE = /usr/sbin/ip
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBCAPNG_CFLAGS = 
LIBCAPNG_LIBS = -lcap-ng 
LIBNL_GENL_CFLAGS = 
LIBNL_GENL_LIBS = 
LIBOBJS = 
LIBPAM_CFLAGS = 
LIBPAM_LIBS = -lpam
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
LZ4_CFLAGS = 
LZ4_LIBS = 
LZO_CFLAGS = -I/usr/include/lzo 
LZO_LIBS = -llzo2 
MAKEINFO = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' makeinfo
MANIFEST_TOOL = :
MBEDTLS_CFLAGS = 
MBEDTLS_LIBS = 
MKDIR_P = /usr/bin/mkdir -p
NETSTAT = netstat
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPENSSL_CFLAGS = 
OPENSSL_LIBS = -lssl -lcrypto 
OPENVPN_VERSION_MAJOR = 2
OPENVPN_VERSION_MINOR = 7
OPENVPN_VERSION_PATCH = .0
OPTIONAL_CRYPTO_CFLAGS =  
OPTIONAL_CRYPTO_LIBS =  -lssl -lcrypto 
OPTIONAL_DL_LIBS = -ldl
OPTIONAL_INOTIFY_CFLAGS = 
OPTIONAL_INOTIFY_LIBS = 
OPTIONAL_LIBCAPNG_CFLAGS = 
OPTIONAL_LIBCAPNG_LIBS = -lcap-ng 
OPTIONAL_LIBNL_GENL_CFLAGS = 
OPTIONAL_LIBNL_GENL_LIBS = 
OPTIONAL_LZ4_CFLAGS = 
OPTIONAL_LZ4_LIBS = 
OPTIONAL_LZO_CFLAGS = 
OPTIONAL_LZO_LIBS = 
OPTIONAL_PKCS11_HELPER_CFLAGS = 
OPTIONAL_PKCS11_HELPER_LIBS = 
OPTIONAL_SELINUX_LIBS = 
OPTIONAL_SYSTEMD_CFLAGS = 
OPTIONAL_SYSTEMD_LIBS = 
OTOOL = 
OTOOL64 = 
P11KIT_CFLAGS = 
P11KIT_LIBS = 
P11TOOL = 
PACKAGE = openvpn
PACKAGE_BUGREPORT = openvpn-users@lists.sourceforge.net
PACKAGE_NAME = OpenVPN
PACKAGE_STRING = OpenVPN 2.7.0
PACKAGE_TARNAME = openvpn
PACKAGE_URL = 
PACKAGE_VERSION = 2.7.0
PATH_SEPARATOR = :
PKCS11_HELPER_CFLAGS = 
PKCS11_HELPER_LIBS = 
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PLUGINDIR = 
PLUGIN_AUTH_PAM_CFLAGS = 
PLUGIN_AUTH_PAM_LIBS = 
RANLIB = ranlib
RC = 
ROUTE = /usr/sbin/route
RST2HTML = rst2html
RST2MAN = rst2man
SCRIPTDIR = 
SED = /usr/bin/sed
SELINUX_LIBS = -lselinux
SET_MAKE = 
SHELL = /bin/bash
SOCKETS_LIBS =  -lresolv
SOFTHSM2_MODULE = 
SOFTHSM2_UTIL = 
STRIP = strip
SYSTEMD_ASK_PASSWORD = /usr/bin/systemd-ask-password
SYSTEMD_UNIT_DIR = 
TAP_CFLAGS = 
TAP_WIN_COMPONENT_ID = tap0901
TAP_WIN_MIN_MAJOR = 9
TAP_WIN_MIN_MINOR = 9
TEST_CFLAGS =       -I$(top_srcdir)/include 
TEST_LDFLAGS =  -lssl -lcrypto   -lcap-ng    -lcmocka 
TMPFILES_DIR = 
VERSION = 2.7.0
WINDMC = no
WOLFSSL_CFLAGS = 
WOLFSSL_INCLUDEDIR = 
WOLFSSL_LIBS = 
abs_builddir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/sample/sample-plugins
abs_srcdir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/sample/sample-plugins
abs_top_builddir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn
abs_top_srcdir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
ac_ct_WINDMC = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libsystemd_CFLAGS = 
libsystemd_LIBS = 
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
plugindir = ${libdir}/openvpn/plugins
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sampledir = $(docdir)/sample
sbindir = ${exec_prefix}/sbin
scriptdir = ${pkglibexecdir}
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
systemdunitdir = 
target_alias = 
tmpfilesdir = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
MAINTAINERCLEANFILES = \
	$(srcdir)/Makefile.in

AM_CPPFLAGS = -I$(top_srcdir) -I$(top_builddir) \
	-I$(top_srcdir)/include -I$(top_builddir)/include


#
# Plug-ins to build - listed entries should not carry any extensions
#
PLUGINS = \
	defer/multi-auth \
	keying-material-exporter-demo/keyingmaterialexporter \
	log/log log/log_v3 \
	simple/base64 \
	simple/simple \
	client-connect/sample-client-connect

all: all-am

.SUFFIXES:
.SUFFIXES: .c .o
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.plugins $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign sample/sample-plugins/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign sample/sample-plugins/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;
$(srcdir)/Makefile.plugins $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:

=== src/openvpnserv/CMakeLists.txt ===
if (NOT WIN32)
    return ()
endif ()

project(openvpnserv)

add_executable(openvpnserv)

include(CheckSymbolExists)

set(MC_GEN_DIR ${CMAKE_CURRENT_BINARY_DIR}/mc)

function(add_common_options target)
    target_include_directories(${target} PRIVATE
        ${CMAKE_CURRENT_BINARY_DIR}/../../
        ../../include/
        ../openvpn/
        ../compat/
        ${MC_GEN_DIR}
    )
    target_compile_options(${target} PRIVATE
        -D_UNICODE
        -UNTDDI_VERSION
        -D_WIN32_WINNT=_WIN32_WINNT_VISTA
    )
    target_link_libraries(${target} PRIVATE
        advapi32.lib userenv.lib iphlpapi.lib fwpuclnt.lib rpcrt4.lib
        shlwapi.lib netapi32.lib ws2_32.lib ntdll.lib ole32.lib pathcch.lib)
    if (MINGW)
        target_compile_options(${target} PRIVATE -municode)
        target_link_options(${target} PRIVATE -municode)
    endif ()
endfunction()

add_common_options(openvpnserv)
target_sources(openvpnserv PRIVATE
    common.c
    interactive.c
    service.c service.h
    validate.c validate.h
    ../tapctl/basic.h
    ../openvpn/wfp_block.c ../openvpn/wfp_block.h
    openvpnserv_resources.rc
    )

# below we generate a DLL which contains an event source for event log messages from eventmsg.mc template
file(MAKE_DIRECTORY ${MC_GEN_DIR})
set(MC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/eventmsg.mc)

find_program(MC_COMPILER NAMES mc.exe x86_64-w64-mingw32-windmc i686-w64-mingw32-windmc windmc)

if (NOT MC_COMPILER)
    message(FATAL_ERROR "No message compiler found.")
endif()

add_custom_command(
    OUTPUT ${MC_GEN_DIR}/eventmsg.rc ${MC_GEN_DIR}/eventmsg.h
    COMMAND ${MC_COMPILER} -U -h ${MC_GEN_DIR} -r ${MC_GEN_DIR} ${MC_FILE}
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/eventmsg.mc
    VERBATIM
    )

# generate rc file for DLL and header for the service binary
add_custom_target(msg_mc_gen ALL DEPENDS ${MC_GEN_DIR}/eventmsg.rc ${MC_GEN_DIR}/eventmsg.h)

add_library(openvpnservmsg SHARED ${MC_GEN_DIR}/eventmsg.rc)
add_dependencies(openvpnservmsg msg_mc_gen)

if (MSVC)
    set_target_properties(openvpnservmsg PROPERTIES LINK_FLAGS "/NOENTRY")
else()
    set_target_properties(openvpnservmsg PROPERTIES LINKER_LANGUAGE C OUTPUT_NAME "openvpnservmsg")
    target_link_options(openvpnservmsg PRIVATE
        -Wl,--entry=0
        -nostdlib
        -nostartfiles
    )
endif()

add_dependencies(openvpnserv msg_mc_gen)

if (BUILD_TESTING)
    set(unit_tests
        "test_openvpnserv"
    )

    foreach (test_name ${unit_tests})
        add_test(${test_name} ${test_name})
        add_executable(${test_name}
            ../../tests/unit_tests/openvpnserv/${test_name}.c
            ${MC_GEN_DIR}/eventmsg.h
        )

        add_common_options(${test_name})
        target_link_libraries(${test_name} PUBLIC ${CMOCKA_LIBRARIES})
        target_include_directories(${test_name} PRIVATE
            .
            ../../tests/unit_tests/openvpn
        )
    endforeach()

    target_sources(test_openvpnserv PRIVATE
        common.c
        validate.c
        ../openvpn/wfp_block.c ../openvpn/wfp_block.h
    )
endif ()

=== debian/changelog ===
openvpn (2.7.0-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Feb 2026 14:06:21 +0100

openvpn (2.7.0-1) unstable; urgency=medium

  * Change maintainer to group address, add Marc Haber as Uploader
  * New upstream version 2.7.0

 -- Bernhard Schmidt <berni@debian.org>  Thu, 12 Feb 2026 09:45:29 +0100

=== debian/control ===
Source: openvpn
Section: net
Maintainer: OpenVPN Maintainers <openvpn@packages.debian.org>
Uploaders:
 Bernhard Schmidt <berni@debian.org>,
 Jörg Frings-Fürst <debian@jff.email>,
 Marc Haber <mh+debian-packages@zugschlus.de>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.16.1),
 libcap-ng-dev [linux-any],
 liblz4-dev,
 liblzo2-dev,
 libnl-genl-3-dev [linux-any],
 libp11-kit-dev,
 libpam0g-dev,
 libpkcs11-helper1-dev,
 libssl-dev,
 libsystemd-dev [linux-any],
 net-tools [!linux-any],
 pkgconf,
 python3-docutils,
 systemd-dev [linux-any]
Standards-Version: 4.7.3
Rules-Requires-Root: no
Homepage: https://openvpn.net/community/
Vcs-Git: https://salsa.debian.org/debian/openvpn.git
Vcs-Browser: https://salsa.debian.org/debian/openvpn

Package: openvpn
Architecture: any
Depends:
 debconf | debconf-2.0,
 net-tools [!linux-any],
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 openssl,
 openvpn-systemd-resolved,
 resolvconf,
 easy-rsa
Description: virtual private network daemon
 OpenVPN is an application to securely tunnel IP networks over a
 single UDP or TCP port. It can be used to access remote sites, make
 secure point-to-point connections, enhance wireless security, etc.
 .
 OpenVPN uses all of the encryption, authentication, and certification
 features provided by the OpenSSL library (any cipher, key size, or
 HMAC digest).
 .
 OpenVPN may use static, pre-shared keys or TLS-based dynamic key exchange. It
 also supports VPNs with dynamic endpoints (DHCP or dial-up clients), tunnels
 over NAT or connection-oriented stateful firewalls (such as Linux's iptables).

=== debian/tests/control ===
Tests: server-setup-with-ca
Depends: openvpn, easy-rsa
Restrictions: needs-root, isolation-container, allow-stderr, skippable

Tests: server-setup-with-ca-dco
Depends: openvpn, easy-rsa
Restrictions: needs-root, isolation-container, allow-stderr, skippable

Tests: server-setup-with-static-key
Restrictions: needs-root, isolation-container, allow-stderr, skippable

Tests: unit-tests
Depends: libcmocka-dev, @builddeps@
Restrictions: allow-stderr

## openvpn bsdauth-4

=== Makefile ===

PREFIX?=	/usr/local
BINDIR=		${PREFIX}/libexec
MANDIR=		${PREFIX}/man/cat

BINMODE=	2550
BINOWN=		_openvpn
BINGRP=		auth

PROG=		openvpn_bsdauth
SRCS=		${PROG}.c
MAN=		${PROG}.8

CFLAGS+=	-Wall -Werror

beforeinstall:
	@perl -pi -e 's#!!PREFIX!!#${PREFIX}#g' openvpn_bsdauth.cat8

.include <bsd.prog.mk>
